com.r3corda.core.node.services / ReadOnlyTransactionStorage

# ReadOnlyTransactionStorage

`interface ReadOnlyTransactionStorage`

Thread-safe storage of transactions.

### Properties

updates | `abstract val updates: <ERROR CLASS><SignedTransaction>` Get a synchronous Observable of updates. When observations are pushed to the Observer, the Wallet will already incorporate the update.

### Functions

getTransaction | `abstract fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.

### Inheritors

TransactionStorage | `interface TransactionStorage : ReadOnlyTransactionStorage` Thread-safe storage of transactions.